<?php /* Template Name: Blog */ ?>
<?php get_header('inner'); ?>

<?php $banner = get_field('banner'); ?>
<div class="inban">
    <div class="inbanimg">
        <img src="<?php echo $banner['banner_image']['url']; ?>" alt="<?php echo $banner['banner_image']['alt']; ?>">
    </div>
    <div class="contentinnerbanner">
        <div class="container">
            <div class="inbancont">
                <h1><?php echo $banner['title']; ?></h1>
                <ul>
                    <li><a href="<?php echo home_url(); ?>">Home</a></li>
                    <li><a href="<?php echo site_url('/blog');?>">Blog</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="botshape">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/resource3/botshape.png">
    </div>
</div>

<section class="blogfullsec">
    <div class="container">
        <div class="blogfullinsec">
            <div class="row">
                <div class="col-lg-8 col-md-12 col-12">
                    <div class="services blogboxsec blogleft">
                        <div class="row">
                            <?php
                            $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
                            $loop = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'paged' => $paged));
                            ?>
                            <?php while ($loop->have_posts()) : $loop->the_post(); ?>
                                <div class="col-lg-6 col-md-6 col-12">
                                    <div class="servbox blogbox">
                                        <div class="servimg">
                                            <div class="servinimg">
                                                <a href="<?php the_permalink(); ?>"><img src="<?php echo get_the_post_thumbnail_url(); ?>"></a>
                                            </div>
                                        </div>
                                        <div class="servcont">
                                            <div class="servi">
                                                <h4><?php echo get_the_date('d'); ?></h4>
                                                <h6><?php echo get_the_date('M y'); ?></h6>
                                            </div>
                                            <div class="entry-tags">
                                                <?php 
                                                $tags = get_the_tags();
                                                if ($tags) {
                                                    echo '<ul class="post-tags">';
                                                    foreach($tags as $tag) {
                                                        echo '<li><a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a></li>';
                                                    }
                                                    echo '</ul>';
                                                }
                                                ?>
                                            </div>
                                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                            <p><?php the_excerpt(); ?></p>
                                            <a class="head-but cmbut lightbut" href="<?php the_permalink(); ?>">Read More <span class="ar"><i class="fi-rr-arrow-right"></i></span></a>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                            <?php
                            echo '<div class="blog-pagination">';
                            echo paginate_links(array(
                                'total' => $loop->max_num_pages,
                                'current' => max(1, get_query_var('paged')),
                                'prev_text' => '&laquo; Previous',
                                'next_text' => 'Next &raquo;',
                            ));
                            echo '</div>';
                            wp_reset_query();
                            ?>
                        </div>
                    </div>
                </div>
                
                <div class="col-lg-4 col-12">
                    <div class="blog-right-side-bar">                        
                        <div class="therasearch right-items">
							 <?php echo do_shortcode('[ivory-search id="588" title="AJAX Search Form"]'); ?>
                            <!--<form>-->
                            <!--    <input type="text" placeholder="Looking for...">-->
                            <!--    <div class="searchbut"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/resource3/search.png"></div>-->
                            <!--</form>-->
							
                        </div>
                        <div class="right-items">
                            <h3>Recent Posts</h3>
                            <div class="blog-post-items">
                                <?php
                                $recent_posts = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4));
                                while ($recent_posts->have_posts()) : $recent_posts->the_post(); ?>
                                    <div class="blog-posts">
                                        <div class="blog-p-img"><a href="<?php the_permalink(); ?>">
                                                <img src="<?php echo get_the_post_thumbnail_url(); ?>">
                                            </a>
                                        </div>
                                        <div class="blog-p-cont">
                                            <span><?php echo get_the_date(); ?></span>
                                            <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_postdata();
                                ?>
                            </div>
                        </div>
                        <div class="right-items">
                            <h3>Archives</h3>
                            <div class="blog-solution">
                                <ul>
                                    <?php wp_get_archives(array('type' => 'yearly', 'limit' => 4)); ?>
                                </ul>
                            </div>
                        </div>
                        <div class="right-items">
                            <h3>Tags</h3>
                            <div class="right-sidebar-tags">
                                <ul>
                                    <li>
                                        <a href="<?php echo esc_url(home_url('/')); ?>" class="<?php echo is_home() ? 'active' : ''; ?>">All</a>
                                    </li>
                                    <?php
                                    $tags = get_tags();
                                    foreach ($tags as $tag) {
                                        $tag_link = get_tag_link($tag->term_id);
                                        echo '<li><a href="' . esc_url($tag_link) . '" class="' . (is_tag($tag->term_id) ? 'active' : '') . '">' . esc_html($tag->name) . '</a></li>';
                                    }
                                    ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>
