<?php /* Template Name: FAQ */ ?>
<?php get_header('inner');?>
<?php $banner = get_field('banner');?>
<div class="inban">
        <div class="inbanimg">
            <img src="<?php echo $banner['banner_image']['url'];?>"alt= "<?php echo $banner['banner_image']['alt'];?>">
        </div>
        <div class="contentinnerbanner">
            <div class="container">
                <div class="inbancont">
                    <h1><?php echo $banner['title'];?></h1>
                    <ul>
                        <li><a href="<?php echo home_url();?>">Home</a></li>
                        <li><a href="<?php echo site_url('/faq');?>">FAQ</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="botshape">
            <img src="<?php echo bloginfo('template_url'); ?>/assets/images//resource3/botshape.png">
        </div>
    </div>
    
    <?php $faq = get_field('faq');?>
   <section class="inner-faq">
    <div class="container">
        <div class="row">
            <div class="col-lg-4 col-md-12 col-12">
                <div class="innerfaqright">
                    <div class="tophd tophd1 mb-30">
                        <span class="subtitle"><?php echo $faq['head'];?></span>
                        <h2 class="title"><?php echo $faq['title'];?></h2>
                    </div>
                    <h3 class="faq-search"><?php echo $faq['description'];?></h3>
                    <div class="nav flex-column nav-pills me-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link active" id="v-pills-all-tab" data-bs-toggle="pill" data-bs-target="#v-pills-all" type="button" role="tab" aria-controls="v-pills-all" aria-selected="true">All</a>
                        <?php
                        $categories = get_terms(array(
                            'taxonomy' => 'faq_category',
                            'hide_empty' => false,
                        ));

                        foreach ($categories as $category) {
                            ?>
                            <a class="nav-link" id="v-pills-<?php echo $category->slug; ?>-tab" data-bs-toggle="pill" data-bs-target="#v-pills-<?php echo $category->slug; ?>" type="button" role="tab" aria-controls="v-pills-<?php echo $category->slug; ?>" aria-selected="false"><?php echo $category->name; ?></a>
                            <?php
                        }
                        ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-8 col-md-12 col-12">
                <div class="innerfaqleft">
                    <div class="tab-content" id="v-pills-tabContent">
                        <div class="tab-pane fade show active" id="v-pills-all" role="tabpanel" aria-labelledby="v-pills-all-tab" tabindex="0">
                            <div class="faq-cont inner-faq-tab">
                                <div class="accordion accordion-flush" id="accordionFlushExample">
                                    <?php 
                                    $loop = new WP_Query(array('post_type' => 'faqs', 'posts_per_page' => 4)); 
                                    while ($loop->have_posts()) : $loop->the_post(); 
                                        $post_id = get_the_ID(); 
                                    ?>
                                        <div class="accordion-item">
                                            <h2 class="accordion-header" id="flush-heading<?php echo $post_id; ?>">
                                                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                                    data-bs-target="#flush-collapse<?php echo $post_id; ?>" aria-expanded="false"
                                                    aria-controls="flush-collapse<?php echo $post_id; ?>">
                                                    <span><?php the_title(); ?></span>
                                                </button>
                                            </h2>
                                            <div id="flush-collapse<?php echo $post_id; ?>" class="accordion-collapse collapse"
                                                aria-labelledby="flush-heading<?php echo $post_id; ?>"
                                                data-bs-parent="#accordionFlushExample">
                                                <div class="accordion-body"> <?php the_content(); ?> </div>
                                            </div>
                                        </div>
                                    <?php 
                                    endwhile; 
                                    wp_reset_query(); 
                                    ?>
                                </div>
                            </div>
                        </div>
                        <?php
                        foreach ($categories as $category) {
                            ?>
                            <div class="tab-pane fade" id="v-pills-<?php echo $category->slug; ?>" role="tabpanel" aria-labelledby="v-pills-<?php echo $category->slug; ?>-tab" tabindex="0">
                                <div class="faq-cont inner-faq-tab">
                                    <div class="accordion accordion-flush" id="accordionFlushExample-<?php echo $category->slug; ?>">
                                        <?php 
                                        $loop = new WP_Query(array(
                                            'post_type' => 'faqs',
                                            'tax_query' => array(
                                                array(
                                                    'taxonomy' => 'faq_category',
                                                    'field' => 'slug',
                                                    'terms' => $category->slug,
                                                ),
                                            ),
                                            'posts_per_page' => 4,
                                        ));
                                        while ($loop->have_posts()) : $loop->the_post(); 
                                            $post_id = get_the_ID(); 
                                        ?>
                                            <div class="accordion-item">
                                                <h2 class="accordion-header" id="flush-heading-<?php echo $category->slug; ?>-<?php echo $post_id; ?>">
                                                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                                        data-bs-target="#flush-collapse-<?php echo $category->slug; ?>-<?php echo $post_id; ?>" aria-expanded="false"
                                                        aria-controls="flush-collapse-<?php echo $category->slug; ?>-<?php echo $post_id; ?>">
                                                        <span><?php the_title(); ?></span>
                                                    </button>
                                                </h2>
                                                <div id="flush-collapse-<?php echo $category->slug; ?>-<?php echo $post_id; ?>" class="accordion-collapse collapse"
                                                    aria-labelledby="flush-heading-<?php echo $category->slug; ?>-<?php echo $post_id; ?>"
                                                    data-bs-parent="#accordionFlushExample-<?php echo $category->slug; ?>">
                                                    <div class="accordion-body"><?php the_content(); ?></div>
                                                </div>
                                            </div>
                                        <?php 
                                        endwhile; 
                                        wp_reset_query(); 
                                        ?>
                                    </div>
                                </div>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php get_footer();?>